commit:     305072e807f8b23d18bb333d68d2e9039a67ba57
Author:     Chris Mayo <aklhfex <AT> gmail <DOT> com>
AuthorDate: Tue Jan 28 19:28:41 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Feb 16 16:35:34 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=305072e8

dev-util/geany: Fix gcc-15 build failure

Closes: https://bugs.gentoo.org/938109
Signed-off-by: Chris Mayo <aklhfex <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/geany/files/geany-2.0-gcc15.patch | 86 ++++++++++++++++++++++++++++++
 dev-util/geany/geany-2.0-r1.ebuild         | 84 +++++++++++++++++++++++++++++
 2 files changed, 170 insertions(+)

diff --git a/dev-util/geany/files/geany-2.0-gcc15.patch 
b/dev-util/geany/files/geany-2.0-gcc15.patch
new file mode 100644
index 000000000000..259bea2e0007
--- /dev/null
+++ b/dev-util/geany/files/geany-2.0-gcc15.patch
@@ -0,0 +1,86 @@
+# 
https://sourceforge.net/p/scintilla/code/ci/c7ffad21b23dfad4e8e9f36bb587acc2f6e84fee/
+--- a/scintilla/gtk/PlatGTK.cxx
++++ b/scintilla/gtk/PlatGTK.cxx
+@@ -7,2 +7,3 @@
+ #include <cstdlib>
++#include <cstdint>
+ #include <cstring>
+--- a/scintilla/src/AutoComplete.cxx
++++ b/scintilla/src/AutoComplete.cxx
+@@ -9,2 +9,3 @@
+ #include <cstdlib>
++#include <cstdint>
+ #include <cassert>
+--- a/scintilla/src/CallTip.cxx
++++ b/scintilla/src/CallTip.cxx
+@@ -9,2 +9,3 @@
+ #include <cstdlib>
++#include <cstdint>
+ #include <cassert>
+--- a/scintilla/src/CellBuffer.cxx
++++ b/scintilla/src/CellBuffer.cxx
+@@ -9,2 +9,3 @@
+ #include <cstdlib>
++#include <cstdint>
+ #include <cassert>
+--- a/scintilla/src/ChangeHistory.cxx
++++ b/scintilla/src/ChangeHistory.cxx
+@@ -9,2 +9,3 @@
+ #include <cstdlib>
++#include <cstdint>
+ #include <cassert>
+--- a/scintilla/src/Decoration.cxx
++++ b/scintilla/src/Decoration.cxx
+@@ -8,2 +8,3 @@
+ #include <cstdlib>
++#include <cstdint>
+ #include <cstring>
+--- a/scintilla/src/Document.cxx
++++ b/scintilla/src/Document.cxx
+@@ -9,2 +9,3 @@
+ #include <cstdlib>
++#include <cstdint>
+ #include <cassert>
+--- a/scintilla/src/Indicator.cxx
++++ b/scintilla/src/Indicator.cxx
+@@ -7,2 +7,3 @@
+ 
++#include <cstdint>
+ #include <cmath>
+--- a/scintilla/src/KeyMap.cxx
++++ b/scintilla/src/KeyMap.cxx
+@@ -8,2 +8,3 @@
+ #include <cstdlib>
++#include <cstdint>
+ 
+--- a/scintilla/src/LineMarker.cxx
++++ b/scintilla/src/LineMarker.cxx
+@@ -7,2 +7,3 @@
+ 
++#include <cstdint>
+ #include <cstring>
+--- a/scintilla/src/PerLine.cxx
++++ b/scintilla/src/PerLine.cxx
+@@ -8,2 +8,3 @@
+ #include <cstddef>
++#include <cstdint>
+ #include <cassert>
+--- a/scintilla/src/Style.cxx
++++ b/scintilla/src/Style.cxx
+@@ -7,2 +7,4 @@
+ 
++#include <cstdint>
++
+ #include <stdexcept>
+--- a/scintilla/src/ViewStyle.cxx
++++ b/scintilla/src/ViewStyle.cxx
+@@ -8,2 +8,3 @@
+ #include <cstddef>
++#include <cstdint>
+ #include <cassert>
+--- a/scintilla/src/XPM.cxx
++++ b/scintilla/src/XPM.cxx
+@@ -8,2 +8,3 @@
+ #include <cstdlib>
++#include <cstdint>
+ #include <cstring>

diff --git a/dev-util/geany/geany-2.0-r1.ebuild 
b/dev-util/geany/geany-2.0-r1.ebuild
new file mode 100644
index 000000000000..c2480b52fdf5
--- /dev/null
+++ b/dev-util/geany/geany-2.0-r1.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit optfeature strip-linguas xdg
+
+LANGS="ar ast be bg ca cs de el en_GB es et eu fa fi fr gl he hi hu id it ja 
kk ko ku lb lt mn nl nn pl pt pt_BR ro ru si sk sl sr sv tr uk vi zh_CN ZH_TW"
+NOSHORTLANGS="en_GB zh_CN zh_TW"
+
+DESCRIPTION="GTK+ based fast and lightweight IDE"
+HOMEPAGE="https://www.geany.org";
+if [[ "${PV}" = 9999* ]] ; then
+       inherit autotools git-r3
+       EGIT_REPO_URI="https://github.com/geany/geany.git";
+else
+       [[ "${PV}" == *_pre* ]] && inherit autotools
+       SRC_URI="https://download.geany.org/${P}.tar.bz2";
+       KEYWORDS="~alpha ~amd64 ~arm ~ppc ~ppc64 ~riscv ~sparc ~x86 
~amd64-linux ~x86-linux"
+fi
+LICENSE="GPL-2+ HPND"
+SLOT="0"
+
+IUSE="+vte"
+
+BDEPEND="virtual/pkgconfig"
+RDEPEND="
+       >=dev-libs/glib-2.32:2
+       >=x11-libs/gtk+-3.24:3
+       vte? ( x11-libs/vte:2.91 )
+"
+DEPEND="
+       ${RDEPEND}
+       dev-util/intltool
+       sys-devel/gettext
+"
+
+PATCHES=( "${FILESDIR}/${P}-gcc15.patch" )
+
+pkg_setup() {
+       strip-linguas ${LANGS}
+}
+
+src_prepare() {
+       xdg_environment_reset #588570
+       default
+
+       # Syntax highlighting for Portage
+       sed -i -e "s:*.sh;:*.sh;*.ebuild;*.eclass;:" \
+               data/filetype_extensions.conf || die
+
+       if [[ ${PV} = *_pre* ]] || [[ ${PV} = 9999* ]] ; then
+               eautoreconf
+       fi
+}
+
+src_configure() {
+       local myeconfargs=(
+               --disable-html-docs
+               --disable-pdf-docs
+               --disable-static
+               $(use_enable vte)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       emake DESTDIR="${D}" install
+       find "${ED}" -type f \( -name '*.a' -o -name '*.la' \) -delete || die
+}
+
+pkg_preinst() {
+       xdg_pkg_preinst
+}
+
+pkg_postinst() {
+       xdg_pkg_postinst
+
+       optfeature "editing files outside the local filesystem" gnome-base/gvfs
+}
+
+pkg_postrm() {
+       xdg_pkg_postrm
+}

Reply via email to